# Uses of Class
java.nio.charset.CodingErrorAction

Packages that use CodingErrorAction
Package
Description
java.nio.charset
Defines charsets, decoders, and encoders, for translating between bytes and Unicode characters.

## Uses of CodingErrorAction in java.nio.charset

Fields in java.nio.charset declared as CodingErrorAction
Modifier and Type
Field
Description
`static CodingErrorAction`
CodingErrorAction.`IGNORE`
Action indicating that a coding error is to be handled by dropping the erroneous input and resuming the coding operation.
`static CodingErrorAction`
CodingErrorAction.`REPLACE`
Action indicating that a coding error is to be handled by dropping the erroneous input, appending the coder's replacement value to the output buffer, and resuming the coding operation.
`static CodingErrorAction`
CodingErrorAction.`REPORT`
Action indicating that a coding error is to be reported, either by returning a `CoderResult` object or by throwing a `CharacterCodingException`, whichever is appropriate for the method implementing the coding process.
Methods in java.nio.charset that return CodingErrorAction
Modifier and Type
Method
Description
`CodingErrorAction`
CharsetDecoder.`malformedInputAction()`
Returns this decoder's current action for malformed-input errors.
`CodingErrorAction`
CharsetEncoder.`malformedInputAction()`
Returns this encoder's current action for malformed-input errors.
`CodingErrorAction`
CharsetDecoder.`unmappableCharacterAction()`
Returns this decoder's current action for unmappable-character errors.
`CodingErrorAction`
CharsetEncoder.`unmappableCharacterAction()`
Returns this encoder's current action for unmappable-character errors.
Methods in java.nio.charset with parameters of type CodingErrorAction
Modifier and Type
Method
Description
`protected void`
CharsetDecoder.`implOnMalformedInput​(CodingErrorAction newAction)`
Reports a change to this decoder's malformed-input action.
`protected void`
CharsetEncoder.`implOnMalformedInput​(CodingErrorAction newAction)`
Reports a change to this encoder's malformed-input action.
`protected void`
CharsetDecoder.`implOnUnmappableCharacter​(CodingErrorAction newAction)`
Reports a change to this decoder's unmappable-character action.
`protected void`
CharsetEncoder.`implOnUnmappableCharacter​(CodingErrorAction newAction)`
Reports a change to this encoder's unmappable-character action.
`CharsetDecoder`
CharsetDecoder.`onMalformedInput​(CodingErrorAction newAction)`
Changes this decoder's action for malformed-input errors.
`CharsetEncoder`
CharsetEncoder.`onMalformedInput​(CodingErrorAction newAction)`
Changes this encoder's action for malformed-input errors.
`CharsetDecoder`
CharsetDecoder.`onUnmappableCharacter​(CodingErrorAction newAction)`
Changes this decoder's action for unmappable-character errors.
`CharsetEncoder`
CharsetEncoder.`onUnmappableCharacter​(CodingErrorAction newAction)`
Changes this encoder's action for unmappable-character errors.